<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('saleitems', function (Blueprint $table) {
            $table->float('labourgold')->after('netgoldwtgms')->nullable();
            $table->float('diamondrate')->after('diamondclarity')->nullable();
            $table->float('colorstonerate')->after('colorstonewtcts')->nullable();
            $table->float('customamount')->after('amount')->nullable();
            $table->float('diacsamount')->after('amount')->nullable();
            $table->float('kwdcost')->after('amount')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('saleitems', function (Blueprint $table) {

            $table->dropColumn('labourgold');
            $table->dropColumn('diamondrate');
            $table->dropColumn('colorstonerate');
            $table->dropColumn('customamount');
            $table->dropColumn('diacsamount');
            $table->dropColumn('kwdcost');
            
            
        });
    }
};
